classdef Planet < handle

    properties
        Symbol
        System
        OrbitColor
        Mass
        Radius
        Moons = {};
        IncludeMoons = 0;
        AxialTilt
        Inclination
        InitialPosition
        RelativeVelocity
        InitialVelocity
        DistanceFromSun
        MarkerSize
        MoonName
        Name
    end
    
    methods
        
        function planet = Planet(system)
            planet.System = system;
           % addPlanet(system, planet);
        end
        
        function moons = getMoons(planet)
            for i=1:length(planet.Moons)
                moons(i)=planet.Moons{i};
            end
        end

        function die(planet)
            planet.System = [];
            planet.delete()
        end
        
        function moons=createMoons(planet)
            moons={};
        end
        
        function initvel = getInitVeloc(planet, moon)
            a = moon.Inclination + planet.Inclination;
            b = 90;
            v = moon.RelativeVelocity;
            initvel = v*[cos(b*pi/180)*sin(a*pi/180), cos(pi*a/180), sin(pi*b/180)*sin(pi*a/180)]+planet.InitialVelocity;
        end
        
    end

end