classdef Earth < Planet

properties
end

methods
    % Earth constructor
    function planet = Earth(system)
        planet = planet@Planet(system);
        planet.System = system;
        planet.Name = 'Earth';
        planet.Symbol = 'E';
        planet.OrbitColor='b.';
        planet.MarkerSize=10;
        planet.Mass=5.9736*10^24;
        planet.Radius=6378.1;
        planet.Inclination = 6.6787; %degrees
        planet.InitialPosition=[1.473E8 0 0]; %[km]
        planet.RelativeVelocity = 939964521.954066;% [km/yr] %1 year = 31 556 926 seconds
        planet.InitialVelocity=getInitialVelocity(planet); 
        planet.DistanceFromSun=1.473*10^8; %[km]
        planet.Moons = createMoons(planet);
        planet.MoonName = {'Moon'};
        addPlanet(system, planet);
    end
    
    function moons=createMoons(planet)
        Moon.OrbitColor='w.-';
        Moon.MarkerSize=2;
        Moon.Mass=7.35*10^22;
        Moon.Radius=1737.1;
        Moon.InitialPosition=[planet.DistanceFromSun+384748 0 0]; %[km]
        Moon.Inclination = 5.145; %in degrees
        Moon.RelativeVelocity = 1.022*31556926; %31556926 = number seconds in 1 year [km/y]
        Moon.InitialVelocity = planet.getInitVeloc(Moon);
        Moon.DistanceFromPlanet=384748; %km
        moons{1} = Moon;    
    end
    
end
        
end
    