classdef Jupiter < Planet

properties
end

methods
    % constructor
    function planet = Jupiter(system)
        planet = planet@Planet(system);
        planet.System = system;
        planet.Symbol = 'J';
        planet.Name = 'Jupiter';
        planet.OrbitColor='w.';
        planet.MarkerSize=20;
        planet.Mass=1.9*10^27;
        planet.Radius=71398;
        planet.Inclination = .32; %degrees to the invariable place
        planet.RelativeVelocity = 13.07*31556926;% [km/yr] %1 year = 31 556 926 seconds
        planet.InitialPosition=[7.78E+008 0 0]; %[km]
        planet.InitialVelocity=getInitialVelocity(planet); % [km/yr] %1 year = 31 556 926 seconds
        planet.DistanceFromSun=7.78E+008; %[km]
        planet.Moons = createMoons(planet);
        planet.MoonName = {'Io' 'Europa' 'Ganymede' 'Callisto'};
        addPlanet(system, planet);
    end
    
    function moons=createMoons(planet)
        Ganymede.OrbitColor='w.';
        Ganymede.MarkerSize=10;
        Ganymede.Mass=1.4819*10^23;
        Ganymede.Radius=2634.1; %[km]
        Ganymede.Inclination = 0; %relative to elliptic %NOT THE REAL NUMBER
        Ganymede.DistanceFromPlanet=1070000;%km
        Ganymede.InitialPosition = [planet.DistanceFromSun+Ganymede.DistanceFromPlanet 0 0];
        Ganymede.RelativeVelocity=10.880*31556926; %31556926 is the number of seconds in a year [km/year]
        Ganymede.InitialVelocity=planet.getInitVeloc(Ganymede);
        moons{1} = Ganymede;
         
        Io.OrbitColor='y.';
        Io.MarkerSize=8;
        Io.Mass=8.9319*10^22;
        Io.Radius=1821.3; %[km]
        Io.Inclination = 2.21; %degrees relative to elliptic
        Io.DistanceFromPlanet=421700;%km
        Io.InitialPosition = [planet.DistanceFromSun+Io.DistanceFromPlanet 0 0];
        Io.RelativeVelocity=17.334*31556926; %31556926 is the number of seconds in a year [km/year]
        Io.InitialVelocity=planet.getInitVeloc(Io);
        moons{2} = Io;
        
        Europa.OrbitColor='g.';
        Europa.MarkerSize=8;
        Europa.Mass=4.80*10^22; %kg
        Europa.Radius=1569; %[km]
        Europa.Inclination = 0; %degrees relative to elliptic %NOT THE REAL NUMBER
        Europa.DistanceFromPlanet=670900;%km
        Europa.InitialPosition = [planet.DistanceFromSun+Europa.DistanceFromPlanet 0 0];
        Europa.RelativeVelocity=13.740*31556926; %31556926 is the number of seconds in a year [km/year]
        Europa.InitialVelocity=planet.getInitVeloc(Europa);
        moons{3} = Europa;
        
        Callisto.OrbitColor='c.';
        Callisto.MarkerSize=5;
        Callisto.Mass=1.075938*10^23;
        Callisto.Radius=2410.3; %[km]
        Callisto.Inclination = 0; %degrees relative to elliptic %NOT THE REAL NUMBER
        Callisto.DistanceFromPlanet=1882700;%km
        Callisto.InitialPosition = [planet.DistanceFromSun+Callisto.DistanceFromPlanet 0 0];
        Callisto.RelativeVelocity=8.204*31556926; %31556926 is the number of seconds in a year [km/year]
        Callisto.InitialVelocity=planet.getInitVeloc(Callisto);
        moons{2} = Callisto;
    end
    
end

        
end
    