classdef Mars < Planet

properties
end

methods
    %Mars constructor
    function planet = Mars(system)
        planet = planet@Planet(system);
        planet.System = system;
        planet.Symbol = 'Ma';
        planet.Name = 'Mars';
        planet.OrbitColor = 'r.';
        planet.MarkerSize = 9;
        planet.Mass = 6.42*10^23;
        planet.Radius = 3393.5;
        planet.Inclination = 1.67;
        planet.DistanceFromSun = 2.4*10^8;
        planet.InitialPosition = [planet.DistanceFromSun 0 0];
        planet.RelativeVelocity = 24.077*31556926;
        planet.InitialVelocity =getInitialVelocity(planet);
        planet.Moons = createMoons(planet);
        addPlanet(system, planet);
    end

    function moons=createMoons(planet)
        Phobos.OrbitColor='w.';
        Phobos.MarkerSize=4;
        Phobos.Mass=1.07E16;
        Phobos.Radius=11.1;
        Phobos.Inclination = 26.04; %degrees relative to elliptic
        Phobos.InitialPosition=[planet.DistanceFromSun+9377.2 0 0];
        Phobos.RelativeVelocity = 2.138*31556926; %km/year
        Phobos.InitialVelocity=planet.getInitVeloc(Phobos);
        Phobos.DistanceFromPlanet=9377.2;
        moons{1} = Phobos;
        
        Deimos.OrbitColor='g.';
        Deimos.MarkerSize=3;
        Deimos.Mass=1.48E15;
        Deimos.Radius=6.2;
        Deimos.Inclination = 27.58; %relative to elliptic
        Deimos.InitialPosition =[planet.DistanceFromSun-23460 0 0];
        Deimos.RelativeVelocity = 1.35*31556926; %km/year
        Deimos.InitialVelocity = planet.getInitVeloc(Deimos);
        Deimos.DistanceFromPlanet=23460;
        moons{2} = Deimos;
    end
end
end
    