classdef Neptune < Planet

properties
end

methods
    %Neptune constructor
    function planet = Neptune(system)
        planet = planet@Planet(system);
        planet.System = system;
        planet.Symbol = 'N';
        planet.Name = 'Neptune';
        planet.OrbitColor='b.';
        planet.MarkerSize=15;
        planet.Mass=1.0243*10^26;
        planet.Radius=1137;
        planet.Inclination = .72; %degrees relative to invariable plane
        planet.InitialPosition=[4503443661 0 0]; %[km]
        planet.RelativeVelocity = 5.43*31556926; % [km/yr] %1 year = 31556926 seconds
        planet.InitialVelocity=getInitialVelocity(planet); 
        planet.DistanceFromSun=4503443661; %[km]
        planet.Moons = createMoons(planet);
        planet.MoonName = {'Triton'};
        addPlanet(system, planet);
    end 

    function moons=createMoons(planet)
        Triton.OrbitColor='c.';
        Triton.MarkerSize=10;
        Triton.Mass=2.14*10^22;
        Triton.Radius=	1353.4; %[km]
        Triton.Inclination = 129.812; %relative to elliptic %
        Triton.DistanceFromPlanet=	354759;%km
        Triton.InitialPosition = [planet.DistanceFromSun+Triton.DistanceFromPlanet 0 0];
        Triton.RelativeVelocity=-4.39*31556926; %31556926 is the number of seconds in a year [km/year]
        Triton.InitialVelocity=planet.getInitVeloc(Triton);
        moons{1} = Triton;
    end    
end
        
end
    