classdef Saturn < Planet

properties
end

methods
    % Saturn constructor
    function planet = Saturn(system)
        planet = planet@Planet(system);
        planet.System = system;
        planet.Symbol = 'S';
        planet.Name = 'Saturn';
        planet.OrbitColor='g.';
        planet.MarkerSize=15;
        planet.Mass=5.69*10^26;
        planet.Radius=60330;
        planet.Inclination = .93; %degrees relative to invariable plane
        planet.InitialPosition=[1.43*10^9 0 0]; %[km]
        planet.RelativeVelocity = 9.69*31556926; % [km/yr] %1 year = 31 556 926 seconds
        planet.InitialVelocity=getInitialVelocity(planet); 
        planet.DistanceFromSun=1.43*10^9; %[km]
        planet.Moons = createMoons(planet);
        planet.MoonName = {'Titan' 'Rhea' 'Iapetus' 'Dione' 'Tethys'};
        addPlanet(system, planet);
    end
    
    function moons=createMoons(planet)
        Titan.OrbitColor='y.';
        Titan.MarkerSize=10;
        Titan.Mass=1.3452*10^23;
        Titan.Radius=2575; %[km]
        Titan.Inclination = 0.33; %relative to elliptic %
        Titan.DistanceFromPlanet=1221870;%km
        Titan.InitialPosition = [planet.DistanceFromSun+Titan.DistanceFromPlanet 0 0];
        Titan.RelativeVelocity=5.58*31556926; %31556926 is the number of seconds in a year [km/year]
        Titan.InitialVelocity=planet.getInitVeloc(Titan);
        moons{1} = Titan;
    end
    
    
end
        
end
    