classdef Uranus < Planet

properties
end

methods
    %Uranus constructor
    function planet = Uranus(system)
        planet = planet@Planet(system);
        planet.System = system;
        planet.Symbol = 'U';
        planet.Name = 'Uranus';
        planet.OrbitColor='c.';
        planet.MarkerSize=15;
        planet.Mass=8.681*10^25;
        planet.Radius=25559;
        planet.Inclination = 1.02; %degrees to invariable plane
        planet.InitialPosition=[2.87*10^9 0 0]; %[km]
        planet.RelativeVelocity=6.81*31556926; % [km/yr] %1 year = 31 556 926 seconds
        planet.InitialVelocity=getInitialVelocity(planet); 
        planet.DistanceFromSun=2.87*10^9; %[km]
        planet.Moons = createMoons(planet);
        planet.MoonName = {'Titania' 'Oberon' 'Ariel' 'Umbriel' 'Miranda'};
        addPlanet(system, planet);
    end
    
    function moons=createMoons(planet)
        Ariel.OrbitColor='w.';
        Ariel.MarkerSize=10;
        Ariel.Mass=1.35*10^21 ;
        Ariel.Radius=578.9; %[km]
        Ariel.Inclination = 0.31; %relative to elliptic %
        Ariel.DistanceFromPlanet=190900;%km
        Ariel.InitialPosition = [planet.DistanceFromSun-Ariel.DistanceFromPlanet 0 0];
        Ariel.RelativeVelocity=5.52*31556926; %31556926 is the number of seconds in a year [km/year]
        Ariel.InitialVelocity=planet.getInitVeloc(Ariel);
        moons{1} = Ariel;
    
        Umbriel.OrbitColor='g.';
        Umbriel.MarkerSize=10;
        Umbriel.Mass=1.2*10^21 ;
        Umbriel.Radius=584.7; %[km]
        Umbriel.Inclination = 0.36; %relative to elliptic %
        Umbriel.DistanceFromPlanet=266000;%km
        Umbriel.InitialPosition = [planet.DistanceFromSun+Umbriel.DistanceFromPlanet 0 0];
        Umbriel.RelativeVelocity=4.67*31556926; %31556926 is the number of seconds in a year [km/year]
        Umbriel.InitialVelocity=planet.getInitVeloc(Umbriel);
        moons{2} = Umbriel;
        
        Titania.OrbitColor='r.';
        Titania.MarkerSize=10;
        Titania.Mass=3.526*10^21 ;
        Titania.Radius=788.9 ; %[km]
        Titania.Inclination = 0.14; %relative to elliptic %
        Titania.DistanceFromPlanet=436300;%km
        Titania.InitialPosition = [planet.DistanceFromSun-Titania.DistanceFromPlanet 0 0];
        Titania.RelativeVelocity=3.65*31556926; %31556926 is the number of seconds in a year [km/year]
        Titania.InitialVelocity=planet.getInitVeloc(Titania);
        moons{3} = Titania;
        
        Oberon.OrbitColor='b.';
        Oberon.MarkerSize=10;
        Oberon.Mass=3.014*10^21 ;
        Oberon.Radius=762 ; %[km]
        Oberon.Inclination = 0.1; %relative to elliptic %
        Oberon.DistanceFromPlanet=582600;%km
        Oberon.InitialPosition = [planet.DistanceFromSun+Oberon.DistanceFromPlanet 0 0];
        Oberon.RelativeVelocity=3.15*31556926; %31556926 is the number of seconds in a year [km/year]
        Oberon.InitialVelocity=planet.getInitVeloc(Oberon);
        moons{4} = Oberon;
    end    
    
    
end
        
end
    