function [Tout,Yout] = anadromic(f,time,x,h,objects,stage)

F = @(x,y,objs)f(x,y,objs);

switch stage
    case 3
        delta = [1/(2-2^(1/3)) (-2^(1/3))/(2-2^(1/3))];
    case 5
        delta = [(3+sqrt(3))/6, (3-sqrt(3))/6, -1]; 
    case 7
        delta = [.78451361047755726382 .235573213355935813368 -1.1776799841788710069 1.3151863206839112189];
    case 9
        delta = [.39216144400731413928 .33259913678935943860 -.70624617255763935981 .082213596293550800230 .79854399093482996340];
    case 15
        delta = [.74167036435061295345 -.40910082580003159400 .19075471029623837995,...
            -.57386247111608226666, .29906418130365592384, .33462491824529818378,...
            .31529309239676659663, -.79688793935291635402];
end

delta = [delta delta(end-1:-1:1)];

N = time/h;

t = 0;
Tout = zeros(N,1);
Yout = zeros(N,length(x));

Y = [];
X = [];
n = length(x);
for i = 1:6:n
    Y = [Y x(i:i+2)]; %positions
    X = [X x(i+3:i+5)]; %velocities
end

for j = 1:N
    Tout(j,1) = t;   
        for i = 1:stage
            [X,Y] = Q(delta(i)*h,X,Y);
        end
        Y2 = [];
        for m = 1:3:length(Y)-2
            Y2 =  [Y2 Y(m:m+2) zeros(1,3)];
        end
            
    Yout(j,:) = Y2;
    t = t+h;
end

    function [X,Y] = Q(h,x,y)
        % Q looks more complicated than it actually is - Z2 and O2 are used
        % to package inputs and outputs of f (findprime) in the right way
        Z = y +(h/2)*x;
        Z2 = [];
        for l = 1:3:length(Z)-2
            Z2 =  [Z2 Z(l:l+2) zeros(1,3)];
        end
        O = [F(t,Z2,objects)]';
        O2 = [];
        for k = 1:6:length(O)-5
            O2 = [O2 O(k+3:k+5)];
        end
        X=x+h*O2;
        Y=Z+(h/2)*X;
    end

end