function uprime = findprime(t, x, objects)
%we want to solve the ODE's. Obj's can be either planets, moons, or the sun.
%For now, assume that obj1 is always the sun. Because we dont have the
%distances between planet and moons.
%x=[pos1X pos1Y pos1Z vel1X vel1Y vel1Z pos2X pos2Y pos2Z vel2X vel2Y vel2Z
%pos3X pos3Y pos3Z vel3X vel3Y vel3Z ]
    n = length(objects);
    alpha=3;
    G=6.646512201325303E-005; % in [ km^2/(kg*yr^2) ]
    if n==2
        u1=[x(1) x(2) x(3)]; %pos of objects{1}
        u2=[x(4) x(5) x(6)]; %vel of objects{1}
        u3=[x(7) x(8) x(9)]; %pos of objects{2}
        u4=[x(10) x(11) x(12)]; %vel of objects{2}
        r12 = norm(u3-u1,2);
        d2x1=objects{2}.Mass*G*(u3-u1)/r12.^alpha;
        d2x2=objects{1}.Mass*G*(u1-u3)/r12.^alpha;
        uprime=[u2 d2x1 u4 d2x2]';
    elseif n==3
          u1=[x(1) x(2) x(3)]; %pos of objects{1}
          u2=[x(4) x(5) x(6)]; %vel of objects{1}
          u3=[x(7) x(8) x(9)]; %pos of objects{2}
          u4=[x(10) x(11) x(12)]; %vel of objects{2}
          u5=[x(13) x(14) x(15)];%pos of objects{3}
          u6=[x(16) x(17) x(18)];% velo of objects{3}
          r12=norm(u3-u1,2);
          r23=norm(u5-u3,2);
          r13=norm(u5-u1,2);
          d2x1=objects{2}.Mass*G*(u3-u1)/r12.^alpha + objects{3}.Mass*G*(u5-u1)/r13.^alpha;
          d2x2=objects{1}.Mass*G*(u1-u3)/r12.^alpha + objects{3}.Mass*G*(u5-u3)/r23.^alpha; 
          d2x3=objects{2}.Mass*G*(u3-u5)/r23.^alpha + objects{1}.Mass*G*(u1-u5)/r13.^alpha;
          uprime=[u2 d2x1 u4 d2x2 u6 d2x3]'; 
     elseif n==4         
          u1=[x(1) x(2) x(3)]; %pos of objects{1}
          u2=[x(4) x(5) x(6)]; %vel of objects{1}
          u3=[x(7) x(8) x(9)]; %pos of objects{2}
          u4=[x(10) x(11) x(12)]; %vel of objects{2}
          u5=[x(13) x(14) x(15)];%pos of objects{3}
          u6=[x(16) x(17) x(18)];% velo of objects{3}
          u7=[x(19) x(20) x(21)];%pos of objects{4}
          u8=[x(22) x(23) x(24)];% velo of objects{4}
          r12=norm(u3-u1,2);
          r23=norm(u5-u3,2);
          r13=norm(u5-u1,2);
          r14=norm(u7-u1,2);
          r24=norm(u7-u3,2);
          r34=norm(u7-u5,2);
          d2x1=objects{2}.Mass*G*(u3-u1)/r12.^alpha+objects{3}.Mass*G*(u5-u1)/r13.^alpha+objects{4}.Mass*G*(u7-u1)/r14.^alpha;
          d2x2=objects{1}.Mass*G*(u1-u3)/r12.^alpha + objects{3}.Mass*G*(u5-u3)/r23.^alpha+objects{4}.Mass*G*(u7-u1)/r24.^alpha;
          d2x3=objects{1}.Mass*G*(u1-u5)/r13.^alpha + objects{2}.Mass*G*(u3-u5)/r23.^alpha + objects{4}.Mass*G*(u7-u5)/r34.^alpha;
          d2x4=objects{1}.Mass*G*(u1-u7)/r14.^alpha + objects{2}.Mass*G*(u3-u7)/r24.^alpha + objects{3}.Mass*G*(u5-u7)/r34.^alpha;
          uprime=[u2 d2x1 u4 d2x2 u6 d2x3 u8 d2x4]';
    elseif n==5
          u1=[x(1) x(2) x(3)]; %pos of objects{1}
          u2=[x(4) x(5) x(6)]; %vel of objects{1}
          u3=[x(7) x(8) x(9)]; %pos of objects{2}
          u4=[x(10) x(11) x(12)]; %vel of objects{2}
          u5=[x(13) x(14) x(15)];%pos of objects{3}
          u6=[x(16) x(17) x(18)];% velo of objects{3}
          u7=[x(19) x(20) x(21)];%pos of objects{4}
          u8=[x(22) x(23) x(24)];% velo of objects{4}
          u9=[x(25) x(26) x(27)];%pos of objects{5}
          u10=[x(28) x(29) x(30)];%velo of objects{5}
          r12=norm(u3-u1,2);
          r23=norm(u5-u3,2);
          r13=norm(u5-u1,2);
          r14=norm(u7-u1,2);
          r24=norm(u7-u3,2);
          r34=norm(u7-u5,2);
          r15=norm(u9-u1,2);
          r25=norm(u9-u3,2);
          r35=norm(u9-u5,2);
          r45=norm(u9-u7,2);
          d2x1=objects{2}.Mass*G*(u3-u1)/r12.^alpha + objects{3}.Mass*G*(u5-u1)/r13.^alpha + objects{4}.Mass*G*(u7-u1)/r14.^alpha+objects{5}.Mass*G*(u9-u1)/r15.^alpha;
          d2x2=objects{1}.Mass*G*(u1-u3)/r12.^alpha + objects{3}.Mass*G*(u5-u3)/r23.^alpha + objects{4}.Mass*G*(u7-u1)/r24.^alpha+objects{5}.Mass*G*(u9-u3)/r25.^alpha;
          d2x3=objects{1}.Mass*G*(u1-u5)/r13.^alpha + objects{2}.Mass*G*(u3-u5)/r23.^alpha + objects{4}.Mass*G*(u7-u5)/r34.^alpha+objects{5}.Mass*G*(u9-u5)/r35.^alpha;
          d2x4=objects{1}.Mass*G*(u1-u7)/r14.^alpha + objects{2}.Mass*G*(u3-u7)/r24.^alpha + objects{3}.Mass*G*(u5-u7)/r34.^alpha+objects{5}.Mass*G*(u9-u7)/r45.^alpha;
          d2x5=objects{1}.Mass*G*(u1-u9)/r15.^alpha + objects{2}.Mass*G*(u3-u9)/r25.^alpha + objects{3}.Mass*G*(u5-u9)/r35.^alpha+objects{4}.Mass*G*(u7-u9)/r45.^alpha;
          uprime=[u2 d2x1 u4 d2x2 u6 d2x3 u8 d2x4 u10 d2x5]';
    elseif n==6
        u1=[x(1) x(2) x(3)]; %pos of objects{1}
        u2=[x(4) x(5) x(6)]; %vel of objects{1}
        u3=[x(7) x(8) x(9)]; %pos of objects{2}
        u4=[x(10) x(11) x(12)]; %vel of objects{2}
        u5=[x(13) x(14) x(15)];%pos of objects{3}
        u6=[x(16) x(17) x(18)];% velo of objects{3}
        u7=[x(19) x(20) x(21)];%pos of objects{4}
        u8=[x(22) x(23) x(24)];% velo of objects{4}
        u9=[x(25) x(26) x(27)];%pos of objects{5}
        u10=[x(28) x(29) x(30)];%velo of objects{5}
        u11=[x(31) x(32) x(33)];%pos of objects{6}
        u12=[x(34) x(35) x(36)];%velo of objects{6}
        r12=norm(u3-u1,2);
        r23=norm(u5-u3,2);
        r13=norm(u5-u1,2);
        r14=norm(u7-u1,2);
        r24=norm(u7-u3,2);
        r34=norm(u7-u5,2);
        r15=norm(u9-u1,2);
        r25=norm(u9-u3,2);
        r35=norm(u9-u5,2);
        r45=norm(u9-u7,2);
        r16=norm(u11-u1,2);
        r26=norm(u11-u3,2);
        r36=norm(u11-u5,2);
        r46=norm(u11-u7,2);
        r56=norm(u11-u9,2);
        d2x1=objects{2}.Mass*G*(u3-u1)/r12.^alpha + objects{3}.Mass*G*(u5-u1)/r13.^alpha + objects{4}.Mass*G*(u7-u1)/r14.^alpha+objects{5}.Mass*G*(u9-u1)/r15.^alpha+objects{6}.Mass*G*(u11-u1)/r16.^alpha;
        d2x2=objects{1}.Mass*G*(u1-u3)/r12.^alpha + objects{3}.Mass*G*(u5-u3)/r23.^alpha + objects{4}.Mass*G*(u7-u1)/r24.^alpha+objects{5}.Mass*G*(u9-u3)/r25.^alpha+objects{6}.Mass*G*(u11-u3)/r26.^alpha;
        d2x3=objects{1}.Mass*G*(u1-u5)/r13.^alpha + objects{2}.Mass*G*(u3-u5)/r23.^alpha + objects{4}.Mass*G*(u7-u5)/r34.^alpha+objects{5}.Mass*G*(u9-u5)/r35.^alpha+objects{6}.Mass*G*(u11-u5)/r36.^alpha;
        d2x4=objects{1}.Mass*G*(u1-u7)/r14.^alpha + objects{2}.Mass*G*(u3-u7)/r24.^alpha + objects{3}.Mass*G*(u5-u7)/r34.^alpha+objects{5}.Mass*G*(u9-u7)/r45.^alpha+objects{6}.Mass*G*(u11-u7)/r46.^alpha;
        d2x5=objects{1}.Mass*G*(u1-u9)/r15.^alpha + objects{2}.Mass*G*(u3-u9)/r25.^alpha + objects{3}.Mass*G*(u5-u9)/r35.^alpha+objects{4}.Mass*G*(u7-u9)/r45.^alpha+objects{6}.Mass*G*(u11-u9)/r56.^alpha;
        d2x6=objects{1}.Mass*G*(u1-u11)/r16.^alpha + objects{2}.Mass*G*(u3-u11)/r26.^alpha + objects{3}.Mass*G*(u5-u11)/r36.^alpha+objects{4}.Mass*G*(u7-u11)/r46.^alpha+objects{5}.Mass*G*(u9-u11)/r56.^alpha;
        uprime=[u2 d2x1 u4 d2x2 u6 d2x3 u8 d2x4 u10 d2x5 u12 d2x6]';
    elseif n==7
        u1=[x(1) x(2) x(3)]; %pos of objects{1}
        u2=[x(4) x(5) x(6)]; %vel of objects{1}
        u3=[x(7) x(8) x(9)]; %pos of objects{2}
        u4=[x(10) x(11) x(12)]; %vel of objects{2}
        u5=[x(13) x(14) x(15)];%pos of objects{3}
        u6=[x(16) x(17) x(18)];% velo of objects{3}
        u7=[x(19) x(20) x(21)];%pos of objects{4}
        u8=[x(22) x(23) x(24)];% velo of objects{4}
        u9=[x(25) x(26) x(27)];%pos of objects{5}
        u10=[x(28) x(29) x(30)];%velo of objects{5}
        u11=[x(31) x(32) x(33)];%pos of objects{6}
        u12=[x(34) x(35) x(36)];%velo of objects{6}
        u13=[x(37) x(38) x(39)];%pos of objects{7}
        u14=[x(40) x(41) x(42)];%velo of objects{7}
        r12=norm(u3-u1,2);
        r23=norm(u5-u3,2);
        r13=norm(u5-u1,2);
        r14=norm(u7-u1,2);
        r24=norm(u7-u3,2);
        r34=norm(u7-u5,2);
        r15=norm(u9-u1,2);
        r25=norm(u9-u3,2);
        r35=norm(u9-u5,2);
        r45=norm(u9-u7,2);
        r16=norm(u11-u1,2);
        r26=norm(u11-u3,2);
        r36=norm(u11-u5,2);
        r46=norm(u11-u7,2);
        r56=norm(u11-u9,2);
        r17=norm(u13-u1,2);
        r27=norm(u13-u3,2);
        r37=norm(u13-u5,2);
        r47=norm(u13-u7,2);
        r57=norm(u13-u9,2);
        r67=norm(u13-u11,2);
        d2x1=objects{2}.Mass*G*(u3-u1)/r12.^alpha + objects{3}.Mass*G*(u5-u1)/r13.^alpha + objects{4}.Mass*G*(u7-u1)/r14.^alpha+objects{5}.Mass*G*(u9-u1)/r15.^alpha+objects{6}.Mass*G*(u11-u1)/r16.^alpha+objects{7}.Mass*G*(u13-u1)/r17.^alpha;
        d2x2=objects{1}.Mass*G*(u1-u3)/r12.^alpha + objects{3}.Mass*G*(u5-u3)/r23.^alpha + objects{4}.Mass*G*(u7-u1)/r24.^alpha+objects{5}.Mass*G*(u9-u3)/r25.^alpha+objects{6}.Mass*G*(u11-u3)/r26.^alpha+objects{7}.Mass*G*(u13-u3)/r27.^alpha;
        d2x3=objects{1}.Mass*G*(u1-u5)/r13.^alpha + objects{2}.Mass*G*(u3-u5)/r23.^alpha + objects{4}.Mass*G*(u7-u5)/r34.^alpha+objects{5}.Mass*G*(u9-u5)/r35.^alpha+objects{6}.Mass*G*(u11-u5)/r36.^alpha+objects{7}.Mass*G*(u13-u5)/r37.^alpha;
        d2x4=objects{1}.Mass*G*(u1-u7)/r14.^alpha + objects{2}.Mass*G*(u3-u7)/r24.^alpha + objects{3}.Mass*G*(u5-u7)/r34.^alpha+objects{5}.Mass*G*(u9-u7)/r45.^alpha+objects{6}.Mass*G*(u11-u7)/r46.^alpha+objects{7}.Mass*G*(u13-u7)/r47.^alpha;
        d2x5=objects{1}.Mass*G*(u1-u9)/r15.^alpha + objects{2}.Mass*G*(u3-u9)/r25.^alpha + objects{3}.Mass*G*(u5-u9)/r35.^alpha+objects{4}.Mass*G*(u7-u9)/r45.^alpha+objects{6}.Mass*G*(u11-u9)/r56.^alpha+objects{7}.Mass*G*(u13-u9)/r57.^alpha;
        d2x6=objects{1}.Mass*G*(u1-u11)/r16.^alpha + objects{2}.Mass*G*(u3-u11)/r26.^alpha + objects{3}.Mass*G*(u5-u11)/r36.^alpha+objects{4}.Mass*G*(u7-u11)/r46.^alpha+objects{5}.Mass*G*(u9-u11)/r56.^alpha+objects{7}.Mass*G*(u13-u11)/r67.^alpha;
        d2x7=objects{1}.Mass*G*(u1-u13)/r17.^alpha + objects{2}.Mass*G*(u3-u13)/r27.^alpha + objects{3}.Mass*G*(u5-u13)/r37.^alpha+objects{4}.Mass*G*(u7-u13)/r47.^alpha+objects{5}.Mass*G*(u9-u13)/r57.^alpha+objects{6}.Mass*G*(u11-u13)/r67.^alpha;
        uprime=[u2 d2x1 u4 d2x2 u6 d2x3 u8 d2x4 u10 d2x5 u12 d2x6 u14 d2x7]';
    elseif n==8
        u1=[x(1) x(2) x(3)]; %pos of objects{1}
        u2=[x(4) x(5) x(6)]; %vel of objects{1}
        u3=[x(7) x(8) x(9)]; %pos of objects{2}
        u4=[x(10) x(11) x(12)]; %vel of objects{2}
        u5=[x(13) x(14) x(15)];%pos of objects{3}
        u6=[x(16) x(17) x(18)];% velo of objects{3}
        u7=[x(19) x(20) x(21)];%pos of objects{4}
        u8=[x(22) x(23) x(24)];% velo of objects{4}
        u9=[x(25) x(26) x(27)];%pos of objects{5}
        u10=[x(28) x(29) x(30)];%velo of objects{5}
        u11=[x(31) x(32) x(33)];%pos of objects{6}
        u12=[x(34) x(35) x(36)];%velo of objects{6}
        u13=[x(37) x(38) x(39)];%pos of objects{7}
        u14=[x(40) x(41) x(42)];%velo of objects{7}
        u15=[x(43) x(44) x(45)];%pos of objects{8}
        u16=[x(46) x(47) x(48)];%velo of objects{8}
        r12=norm(u3-u1,2);
        r23=norm(u5-u3,2);
        r13=norm(u5-u1,2);
        r14=norm(u7-u1,2);
        r24=norm(u7-u3,2);
        r34=norm(u7-u5,2);
        r15=norm(u9-u1,2);
        r25=norm(u9-u3,2);
        r35=norm(u9-u5,2);
        r45=norm(u9-u7,2);
        r16=norm(u11-u1,2);
        r26=norm(u11-u3,2);
        r36=norm(u11-u5,2);
        r46=norm(u11-u7,2);
        r56=norm(u11-u9,2);
        r17=norm(u13-u1,2);
        r27=norm(u13-u3,2);
        r37=norm(u13-u5,2);
        r47=norm(u13-u7,2);
        r57=norm(u13-u9,2);
        r67=norm(u13-u11,2);
        r18=norm(u15-u1,2);
        r28=norm(u15-u3,2);
        r38=norm(u15-u5,2);
        r48=norm(u15-u7,2);
        r58=norm(u15-u9,2);
        r68=norm(u15-u11,2);
        r78=norm(u15-u13,2);
        d2x1=objects{2}.Mass*G*(u3-u1)/r12.^alpha + objects{3}.Mass*G*(u5-u1)/r13.^alpha + objects{4}.Mass*G*(u7-u1)/r14.^alpha+objects{5}.Mass*G*(u9-u1)/r15.^alpha+objects{6}.Mass*G*(u11-u1)/r16.^alpha+objects{7}.Mass*G*(u13-u1)/r17.^alpha+objects{8}.Mass*G*(u15-u1)/r18.^alpha;
        d2x2=objects{1}.Mass*G*(u1-u3)/r12.^alpha + objects{3}.Mass*G*(u5-u3)/r23.^alpha + objects{4}.Mass*G*(u7-u1)/r24.^alpha+objects{5}.Mass*G*(u9-u3)/r25.^alpha+objects{6}.Mass*G*(u11-u3)/r26.^alpha+objects{7}.Mass*G*(u13-u3)/r27.^alpha+objects{8}.Mass*G*(u15-u3)/r28.^alpha;
        d2x3=objects{1}.Mass*G*(u1-u5)/r13.^alpha + objects{2}.Mass*G*(u3-u5)/r23.^alpha + objects{4}.Mass*G*(u7-u5)/r34.^alpha+objects{5}.Mass*G*(u9-u5)/r35.^alpha+objects{6}.Mass*G*(u11-u5)/r36.^alpha+objects{7}.Mass*G*(u13-u5)/r37.^alpha+objects{8}.Mass*G*(u15-u5)/r38.^alpha;
        d2x4=objects{1}.Mass*G*(u1-u7)/r14.^alpha + objects{2}.Mass*G*(u3-u7)/r24.^alpha + objects{3}.Mass*G*(u5-u7)/r34.^alpha+objects{5}.Mass*G*(u9-u7)/r45.^alpha+objects{6}.Mass*G*(u11-u7)/r46.^alpha+objects{7}.Mass*G*(u13-u7)/r47.^alpha+objects{8}.Mass*G*(u15-u7)/r48.^alpha;
        d2x5=objects{1}.Mass*G*(u1-u9)/r15.^alpha + objects{2}.Mass*G*(u3-u9)/r25.^alpha + objects{3}.Mass*G*(u5-u9)/r35.^alpha+objects{4}.Mass*G*(u7-u9)/r45.^alpha+objects{6}.Mass*G*(u11-u9)/r56.^alpha+objects{7}.Mass*G*(u13-u9)/r57.^alpha+objects{8}.Mass*G*(u15-u9)/r58.^alpha;
        d2x6=objects{1}.Mass*G*(u1-u11)/r16.^alpha + objects{2}.Mass*G*(u3-u11)/r26.^alpha + objects{3}.Mass*G*(u5-u11)/r36.^alpha+objects{4}.Mass*G*(u7-u11)/r46.^alpha+objects{5}.Mass*G*(u9-u11)/r56.^alpha+objects{7}.Mass*G*(u13-u11)/r67.^alpha+objects{8}.Mass*G*(u15-u11)/r68.^alpha;
        d2x7=objects{1}.Mass*G*(u1-u13)/r17.^alpha + objects{2}.Mass*G*(u3-u13)/r27.^alpha + objects{3}.Mass*G*(u5-u13)/r37.^alpha+objects{4}.Mass*G*(u7-u13)/r47.^alpha+objects{5}.Mass*G*(u9-u13)/r57.^alpha+objects{6}.Mass*G*(u11-u13)/r67.^alpha+objects{8}.Mass*G*(u15-u13)/r78.^alpha;
        d2x8=objects{1}.Mass*G*(u1-u15)/r18.^alpha + objects{2}.Mass*G*(u3-u15)/r28.^alpha + objects{3}.Mass*G*(u5-u15)/r38.^alpha+objects{4}.Mass*G*(u7-u15)/r48.^alpha+objects{5}.Mass*G*(u9-u15)/r58.^alpha+objects{6}.Mass*G*(u11-u15)/r68.^alpha+objects{7}.Mass*G*(u13-u15)/r78.^alpha;
        uprime=[u2 d2x1 u4 d2x2 u6 d2x3 u8 d2x4 u10 d2x5 u12 d2x6 u14 d2x7 u16 d2x8]';
    elseif n==9
        u1=[x(1) x(2) x(3)]; %pos of objects{1}
        u2=[x(4) x(5) x(6)]; %vel of objects{1}
        u3=[x(7) x(8) x(9)]; %pos of objects{2}
        u4=[x(10) x(11) x(12)]; %vel of objects{2}
        u5=[x(13) x(14) x(15)];%pos of objects{3}
        u6=[x(16) x(17) x(18)];% velo of objects{3}
        u7=[x(19) x(20) x(21)];%pos of objects{4}
        u8=[x(22) x(23) x(24)];% velo of objects{4}
        u9=[x(25) x(26) x(27)];%pos of objects{5}
        u10=[x(28) x(29) x(30)];%velo of objects{5}
        u11=[x(31) x(32) x(33)];%pos of objects{6}
        u12=[x(34) x(35) x(36)];%velo of objects{6}
        u13=[x(37) x(38) x(39)];%pos of objects{7}
        u14=[x(40) x(41) x(42)];%velo of objects{7}
        u15=[x(43) x(44) x(45)];%pos of objects{8}
        u16=[x(46) x(47) x(48)];%velo of objects{8}
        u17=[x(49) x(50) x(51)];%pos of objects{9}
        u18=[x(52) x(53) x(54)];%velo of objects{9}
        r12=norm(u3-u1,2);
        r23=norm(u5-u3,2);
        r13=norm(u5-u1,2);
        r14=norm(u7-u1,2);
        r24=norm(u7-u3,2);
        r34=norm(u7-u5,2);
        r15=norm(u9-u1,2);
        r25=norm(u9-u3,2);
        r35=norm(u9-u5,2);
        r45=norm(u9-u7,2);
        r16=norm(u11-u1,2);
        r26=norm(u11-u3,2);
        r36=norm(u11-u5,2);
        r46=norm(u11-u7,2);
        r56=norm(u11-u9,2);
        r17=norm(u13-u1,2);
        r27=norm(u13-u3,2);
        r37=norm(u13-u5,2);
        r47=norm(u13-u7,2);
        r57=norm(u13-u9,2);
        r67=norm(u13-u11,2);
        r18=norm(u15-u1,2);
        r28=norm(u15-u3,2);
        r38=norm(u15-u5,2);
        r48=norm(u15-u7,2);
        r58=norm(u15-u9,2);
        r68=norm(u15-u11,2);
        r78=norm(u15-u13,2);
        r19=norm(u17-u1,2);
        r29=norm(u17-u3,2);
        r39=norm(u17-u5,2);
        r49=norm(u17-u7,2);
        r59=norm(u17-u9,2);
        r69=norm(u17-u11,2);
        r79=norm(u17-u13,2);
        r89=norm(u17-u15,2);
        d2x1=objects{2}.Mass*G*(u3-u1)/r12.^alpha + objects{3}.Mass*G*(u5-u1)/r13.^alpha + objects{4}.Mass*G*(u7-u1)/r14.^alpha+objects{5}.Mass*G*(u9-u1)/r15.^alpha+objects{6}.Mass*G*(u11-u1)/r16.^alpha+objects{7}.Mass*G*(u13-u1)/r17.^alpha+objects{8}.Mass*G*(u15-u1)/r18.^alpha+objects{9}.Mass*G*(u17-u1)/r19.^alpha;
        d2x2=objects{1}.Mass*G*(u1-u3)/r12.^alpha + objects{3}.Mass*G*(u5-u3)/r23.^alpha + objects{4}.Mass*G*(u7-u1)/r24.^alpha+objects{5}.Mass*G*(u9-u3)/r25.^alpha+objects{6}.Mass*G*(u11-u3)/r26.^alpha+objects{7}.Mass*G*(u13-u3)/r27.^alpha+objects{8}.Mass*G*(u15-u3)/r28.^alpha+objects{9}.Mass*G*(u17-u3)/r29.^alpha;
        d2x3=objects{1}.Mass*G*(u1-u5)/r13.^alpha + objects{2}.Mass*G*(u3-u5)/r23.^alpha + objects{4}.Mass*G*(u7-u5)/r34.^alpha+objects{5}.Mass*G*(u9-u5)/r35.^alpha+objects{6}.Mass*G*(u11-u5)/r36.^alpha+objects{7}.Mass*G*(u13-u5)/r37.^alpha+objects{8}.Mass*G*(u15-u5)/r38.^alpha+objects{9}.Mass*G*(u17-u5)/r39.^alpha;
        d2x4=objects{1}.Mass*G*(u1-u7)/r14.^alpha + objects{2}.Mass*G*(u3-u7)/r24.^alpha + objects{3}.Mass*G*(u5-u7)/r34.^alpha+objects{5}.Mass*G*(u9-u7)/r45.^alpha+objects{6}.Mass*G*(u11-u7)/r46.^alpha+objects{7}.Mass*G*(u13-u7)/r47.^alpha+objects{8}.Mass*G*(u15-u7)/r48.^alpha+objects{9}.Mass*G*(u17-u7)/r49.^alpha;
        d2x5=objects{1}.Mass*G*(u1-u9)/r15.^alpha + objects{2}.Mass*G*(u3-u9)/r25.^alpha + objects{3}.Mass*G*(u5-u9)/r35.^alpha+objects{4}.Mass*G*(u7-u9)/r45.^alpha+objects{6}.Mass*G*(u11-u9)/r56.^alpha+objects{7}.Mass*G*(u13-u9)/r57.^alpha+objects{8}.Mass*G*(u15-u9)/r58.^alpha+objects{9}.Mass*G*(u17-u9)/r59.^alpha;
        d2x6=objects{1}.Mass*G*(u1-u11)/r16.^alpha + objects{2}.Mass*G*(u3-u11)/r26.^alpha + objects{3}.Mass*G*(u5-u11)/r36.^alpha+objects{4}.Mass*G*(u7-u11)/r46.^alpha+objects{5}.Mass*G*(u9-u11)/r56.^alpha+objects{7}.Mass*G*(u13-u11)/r67.^alpha+objects{8}.Mass*G*(u15-u11)/r68.^alpha+objects{9}.Mass*G*(u17-u11)/r69.^alpha;
        d2x7=objects{1}.Mass*G*(u1-u13)/r17.^alpha + objects{2}.Mass*G*(u3-u13)/r27.^alpha + objects{3}.Mass*G*(u5-u13)/r37.^alpha+objects{4}.Mass*G*(u7-u13)/r47.^alpha+objects{5}.Mass*G*(u9-u13)/r57.^alpha+objects{6}.Mass*G*(u11-u13)/r67.^alpha+objects{8}.Mass*G*(u15-u13)/r78.^alpha+objects{9}.Mass*G*(u17-u13)/r79.^alpha;
        d2x8=objects{1}.Mass*G*(u1-u15)/r18.^alpha + objects{2}.Mass*G*(u3-u15)/r28.^alpha + objects{3}.Mass*G*(u5-u15)/r38.^alpha+objects{4}.Mass*G*(u7-u15)/r48.^alpha+objects{5}.Mass*G*(u9-u15)/r58.^alpha+objects{6}.Mass*G*(u11-u15)/r68.^alpha+objects{7}.Mass*G*(u13-u15)/r78.^alpha+objects{9}.Mass*G*(u17-u15)/r89.^alpha;
        d2x9=objects{1}.Mass*G*(u1-u17)/r19.^alpha + objects{2}.Mass*G*(u3-u17)/r29.^alpha + objects{3}.Mass*G*(u5-u17)/r39.^alpha+objects{4}.Mass*G*(u7-u17)/r58.^alpha+objects{5}.Mass*G*(u9-u17)/r59.^alpha+objects{6}.Mass*G*(u11-u17)/r69.^alpha+objects{7}.Mass*G*(u13-u17)/r79.^alpha+objects{8}.Mass*G*(u15-u17)/r89.^alpha;
        uprime=[u2 d2x1 u4 d2x2 u6 d2x3 u8 d2x4 u10 d2x5 u12 d2x6 u14 d2x7 u16 d2x8 u18 d2x9]';
    end
end